
Base Distribution - Work Package # 45008

Status: Accepted Priority: Must have
Author: Sebastian Kurfuerst Category: Content Editing
Created: 2013-01-31 Assigned To: Rens Admiraal
Updated: 2013-05-16 Due date: 2013-06-28
Subject: Content Editing on Tablet Devices
Description

Content Editing on Tablet Devices
    -  Target Audience: users who want to edit content on a tablet device
    -  Responsible: Rens Admiraal
    -  Implemented by: Rens Admiraal, Patrick Broens
    -  Amount: 10 work days
    -  Version: must have for 1.0
    -  Planned Implementation Timeframe: Half way april till end of may

Motivation
A lot of content editors / users make use of tablets. A working content editing user interface for tablets is a must have.

Goal
Make the Neos user interface work for tablet users.

Deliverables
    -  Make the Neos content editing user interface working on tablets
    -  If the onscreen keyboard is opened the unneeded ui elements will be hidden
    -  Tablet specific styling for buttons & controls
    -  Working backend modules on tablet
    -  Make the current userinterface work on smaller screens till the screensize of ipad mini (7")

Won't haves
    -  The page tree component will not have drag and drop support
    -  Custom content editors like the image editor are not guaranteed to work

Related issues:
related to TYPO3.Neos - Feature # 45450: Use media queries to change width of... New 2013-02-13
precedes Base Distribution - Work Package # 45009: [EPIC] mobile phone versio... New 2013-06-29 2013-06-29

History
#1 - 2013-01-31 11:26 - Sebastian Kurfuerst
- Category set to Content Editing
- Assigned To set to Rens Admiraal
- Priority changed from Should have to Must have
- Target version set to 1.0 beta 1

#2 - 2013-01-31 11:27 - Sebastian Kurfuerst
- Subject changed from Content Editing on Tablet Devices to [WIP] Content Editing on Tablet Devices

#3 - 2013-01-31 14:34 - Rens Admiraal
- Subject changed from [WIP] Content Editing on Tablet Devices to Content Editing on Tablet Devices
#4 - 2013-02-16 14:59 - Sebastian Kurfuerst
- Status changed from New to Accepted

#5 - 2013-02-16 15:08 - Sebastian Kurfuerst
- File typo3neos-distribution-base-45008.pdf added
- Due date set to 2013-05-31
- Start date changed from 2013-01-31 to 2013-04-16
- Estimated time set to 60.00

Has been discussed with Jan-Hendrik from the EAB on 12.02.2013; and has been accepted on 15.02.2013 by the EAB.
(The attached PDF is a snapshot of this work package at the time of acceptance.)

So, Rens and Patrick, you can schedule this work package in your day-to-day calendar and implement it then -- can't wait to see it in Neos 1.0 :-)

Another side-note: Please do not forget to add comments to this work package and update "% done" while you are working on this package.

Greets, Sebastian

#6 - 2013-05-16 10:28 - Sebastian Kurfuerst
- Due date changed from 2013-05-31 to 2013-06-28

after coordination with the team, we will plan this feature until end of june or mid of july. Thus it might be the last work package to be finished.

Files
typo3neos-distribution-base-45008.pdf 3.1 kB 2013-02-16 Sebastian Kurfuerst

2015-08-04 2/2


